#include <stdio.h>
#include <string.h>
int main()
{
	int n, dal = 0;
	long long int sum = 0;
	scanf("%d", &n);
	int niz1[n], niz2[n], niz3[n];
	for (int i = 0; i < n; i++) scanf("%d", &niz1[i]);
	for (int i = 0; i < n; i++) scanf("%d", &niz2[i]);
	for (int i = 0; i < n; i++) scanf("%d", &niz3[i]);
	int niz4[n] = { 0 };
	for (int i = 0; i < n; i++)
	{
		for (int j = 0; j < n; j++)
		{
			if (i + 1 == niz3[j])
			{
				niz4[niz2[i] - 1]++;
			} 
		}
	}
	for (int i = 0; i < n; i++)
	{
		sum += niz4[niz1[i] - 1];
	}
	printf("%d", sum);
}